## -*- texinfo -*-
## @deftypefn {Function File} {@var{Y}} = funk (@var{X})
## funk modelliert f(x)=(1-cos(x))/x
## 
## @example
## funk(2)
## @end example
## 
## Die Funktion ist in der Lage sowohl @itemize  @bullet
##
## @item einzelne reele Argumente zu verarbeiten, 
##
## @item als auch Vektorwertige
## @end itemize
##
## In letzterem Fall wird auch ein Vektor zurueckgegeben.
##
## Fuer weitere Moeglichkeiten diesen Hilfetext zu formatieren sei auff die Dokumentation verwiesen.
## @end deftypefn

function y = funk (x)
  y = (1-cos(x))./x;
x= unterfunktion(); # Da Octave die gesamte funktionsdatei liesst, bevor es "funk" auswertet, ist "unterfunktion" zum Zeitpunkt der Auswertung bekannt
endfunction

# Folgende Funktion wird niemals ausgefuehrt und kann auch nicht angesprochen werden!
function x = nichts
  x="Wird niemals ausgefuehrt";
endfunction;

function erg = unterfunktion
  erg=2;
endfunction
