N=100; # Die erste nicht-kommentar Zeile beginnt nicht mit "function", deshalb ist diese Datei ein Skript
b=0.6;

function [err] = geomFehler(b,N)
err = 0;
if N<0 
	error('Fehler in geomFehler: N= %i',N);
endif
for i=0:N
	err = err + b^(N-i)-b^i;
endfor
endfunction

for n=1:N
	err(n)=geomFehler(b,n);
endfor


figure;
plot(1:N,err,";b=0.6;");

# Interessant: verschiedenes Verhalten des Fehlers fuer verschiedene Basen (zB b>1)!
# Einfach mal die Werte fuer N und b aendern und gucken, was passiert!
# Immer beachten: Grafiken sind oft Augenwischerei und ersetzen nicht die eine oder andere Tabelle! Zum Beispiel scheint der Fehler fuer b>1 immer weiter zu wachsen, der relative Fehler ist dafuer allerdings sehr gering.

# Fuer weitere Beispiele zu Funktionen siehe funktionen.m
